# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::ContextLookupTable Class Reference

Lookup Table Class (for Arithmetic Coding Contexts). More...

`#include <arith_codec.h>`

Inheritance diagram for dirac::ContextLookupTable:

[legend]
List of all members.

## Public Member Functions

- ContextLookupTable ()
    Constructor for Arithmetic Coding context lookup table.

## Static Public Member Functions

- static unsigned int lookup (int weight)
    Returns value of the lookup table.

## Static Private Attributes

- static unsigned int table [256]

## Detailed Description

This is a class that implements a lookup table for use by the context class used for arithmetic coding.

## Constructor & Destructor Documentation

dirac::ContextLookupTable::ContextLookupTable | ( |  | ) |

Initialises the lookup table if not already done, else does nothing.

## Member Function Documentation

unsigned int dirac::ContextLookupTable::lookup | ( | int | weight | ) | `[inline, static]`

## Member Data Documentation

unsigned int dirac::ContextLookupTable::table[256]`[static, private]`

The documentation for this class was generated from the following file:

- arith_codec.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.